Page MenuHomePhabricator

GlobalRenameQueue testing
Closed, ResolvedPublic

Description

As a Steward or global renamer, I need a simple interface for handling a large number of rename requests due to SUL finalization.

http://meta.wikimedia.beta.wmflabs.org/wiki/Special:GlobalRenameQueue

Event Timeline

Keegan created this task.Oct 21 2014, 7:11 PM
Keegan raised the priority of this task from to Needs Triage.
Keegan updated the task description. (Show Details)
Keegan added a project: SUL-Finalization.
Keegan moved this task to Doing on the SUL-Finalization board.
Keegan changed Security from none to None.
Keegan added subscribers: Keegan, Legoktm.
Keegan triaged this task as Medium priority.Oct 21 2014, 7:26 PM
Keegan updated the task description. (Show Details)
Keegan moved this task from Doing to Done on the SUL-Finalization board.Jan 14 2015, 3:47 AM
Savh added a subscriber: Savh.Jan 16 2015, 2:32 PM

Hi! Great tool, with some minor issues, which I have listed below. No idea if it's the right place, I'm a bit lost now. It could be that a part of this is related to T76774.

  • Renaming a non-SUL account (requested through a local wiki) will not create any public log excluding pagemoves. See es.wikibooks recentchanges, "Global Renaming test account (Savh)" was a non SUL account, rename requested through [[es:b:Special:GlobalRenameRequest]] and performed, no local nor meta log.
  • Accounts whose requests are rejected should also be notified. Since they are submitted privately, posting a response on-wiki may not be ideal.
  • I've done some testing, and haven't yet received a mail informing me that my account was renamed. Is that only me? Can that be checked?

Ideally, though I'm aware that it's more complicated:

However, since we're (or maybe it's only me) always complaining, I also want to thank you for this tool, which will definitely improve the handling of the renames. Thanks!

Savh

Teles added a subscriber: Teles.Jan 16 2015, 9:40 PM
revi added a subscriber: revi.Jan 28 2015, 2:54 PM

@Keegan, I noticed you moved this to the 'Done' column of a workboard. Is this task resolved?

Keegan closed this task as Resolved.Feb 18 2015, 7:26 PM